import json
import os
import sys

from common_variables import PRINT_DEBUG

def print_deg(print_str):
    if PRINT_DEBUG == 1:
        print(print_str)
#字符串增加一位
def add_char_to_string(string1):
    string_list = list(string1)
    string_list.insert(2,0)
    new_string = ''.join(str(x) for x in string_list)
    return new_string

def checkitem_kylinshop(error_cls,deb_name):
    hexerror_cls_str = str(hex(int(error_cls)))
    
    if len(hexerror_cls_str) == 17:
        hexerror_cls_str = add_char_to_string(hexerror_cls_str)
    print_deg("hexerror_cls_str = "+str(hexerror_cls_str))
    update_cmd = "LANG=en_US.utf8 LANGUAGE=en_US.utf8 apt-get --print-uris install " + deb_name + " 2>&1"

    
    my_dict = {}
    cc1 = os.popen(update_cmd)
    cc_strs = cc1.readlines()
    for cc_str in cc_strs:
        if "Depends" in cc_str and "install" in cc_str:
            error_dict = {}
            error_dict["ErrorCode"] = hexerror_cls_str
            cc = os.popen(update_cmd)
            ccs = cc.read()
            error_dict["Describe"] = ccs
            error_dict["Name"] = "软件商店"
            if "Details" not in my_dict:
                my_dict["Details"] = [error_dict]
            else:
                my_dict["Details"].append(error_dict)
            #test_error = test_all - test_right
            overview_str = "检测了1项,1项错误,0项正确"
            my_dict["Overview"] = overview_str
            my_dict["Type"] = hexerror_cls_str
            #print("i am in checkitem,my_dict = ",my_dict)
            break
    if len(my_dict) == 0:
        overview_str = "检测了1项,0项错误,1项正确"
        my_dict["Overview"] = overview_str
        my_dict["Type"] = hexerror_cls_str
    print_deg("in checkitem,my_dict = "+str(my_dict))
    json_table_str = json.dumps(my_dict)

    #开始往临时文件中写数据
    report_result_name = "/tmp/kydoctor"
    result_fd = open(report_result_name,"w")
    result_fd.write(json_table_str)
    result_fd.close()
 
if __name__ == "__main__":
    #ret = checkitemfromsql(sys.argv[1])
    print("i am in checkitem_non_universal.py,argv = ",sys.argv[1],sys.argv[2])
    ret = 0
    #if sys.argv[1] == 0x0500180100000002:
    ret = checkitem_kylinshop(sys.argv[1],sys.argv[2])
    #elif sys.argv[1] == 0x0500180100000002:
    if ret == -1:
        exit(-1)
    else:
        exit(0)